Package com.sun.java.help.impl

# Class ParserEvent

java.lang.Object
java.util.EventObject
com.sun.java.help.impl.ParserEvent

All Implemented Interfaces:
  `Serializable`

public class ParserEvent extends EventObject

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`ParserEvent(Object source, Tag tag)`
Represents a parsed Tag in the Parser
`ParserEvent(Object source, String text)`
Represents a parsed continous block of text, a comment, or an error.
`ParserEvent(Object source, String target, String data)`
Represents a PI (processing instruction)
`ParserEvent(Object source, String root, String publicId, String systemId)`
Represents a DOCTYPE

## Method Summary

Modifier and Type
Method
Description
`String`
`getData()`
`String`
`getPublicId()`
`String`
`getRoot()`
`String`
`getSystemId()`
`Tag`
`getTag()`
`String`
`getTarget()`
`String`
`getText()`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ParserEvent

public ParserEvent(Object source, Tag tag)
Represents a parsed Tag in the Parser

Parameters:
  `source` - The Parser this came from
  `tag` - The parsed Tag.
See Also:
  - invalid reference

        java.help.basic.Parser

### ParserEvent

public ParserEvent(Object source, String text)
Represents a parsed continous block of text, a comment, or an error.

Parameters:
  `source` - The Parser this came from
  `String` - The text, comment, or error
See Also:
  - invalid reference

        java.help.basic.Parser

### ParserEvent

public ParserEvent(Object source, String target, String data)
Represents a PI (processing instruction)

Parameters:
  `source` - The Parser this came from
  `target` - The PI target
  `data` - The rest of the PI
See Also:
  - invalid reference

        java.help.basic.Parser

### ParserEvent

public ParserEvent(Object source, String root, String publicId, String systemId)
Represents a DOCTYPE

Parameters:
  `source` - The Parser this came from
  `root` - The root
  `publicId` - The publicID (may be null)
  `systemID` - The systemID (may be null)
See Also:
  - invalid reference

        java.help.basic.Parser

## Method Details

### getTag

public Tag getTag()

Returns:
  the Tag

### getText

public String getText()

Returns:
  the text

### getTarget

public String getTarget()

Returns:
  the target

### getData

public String getData()

Returns:
  the data

### getRoot

public String getRoot()

Returns:
  the root

### getPublicId

public String getPublicId()

Returns:
  the publicId

### getSystemId

public String getSystemId()

Returns:
  the systemId